Bug 80091 - FILESAVE: XLS export breaks some expressions
Summary: FILESAVE: XLS export breaks some expressions
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.4.2 release
Hardware: Other All
: high critical
Assignee: Markus Mohrhard
URL:
Whiteboard: target:4.5.0 target:4.4.0.2 target:4.3.6
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2014-06-16 10:34 UTC by Miroslav Fitz
Modified: 2015-12-17 08:23 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
original source test file (12.80 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-06-16 10:34 UTC, Miroslav Fitz
Details
corrupted file after first export (5.50 KB, application/vnd.ms-excel)
2014-06-16 10:35 UTC, Miroslav Fitz
Details
corrupted file after second export (5.50 KB, application/vnd.ms-excel)
2014-06-16 10:35 UTC, Miroslav Fitz
Details
correctly exported file from LO 4.1.6.2 (5.50 KB, application/vnd.ms-excel)
2014-06-16 10:36 UTC, Miroslav Fitz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Miroslav Fitz 2014-06-16 10:34:47 UTC
Created attachment 101160 [details]
original source test file

When saving ODS file in XLS format some expressions are broken.

Steps to reproduce:
"save_as_XLS_0.ods" original file
- expression: =MAX($A$1:A1)+1

"save_as_XLS_0.ods" save as "save_as_XLS_1.xls"
- expression: =MAX($A$1:A#REF!)+1)

"save_as_XLS_1.xls" save as "save_as_XLS_2.xls"
- expression: =MAX($A$65536:A1)+1

With LO 4.1.6.2 it works correctly.
Comment 1 Miroslav Fitz 2014-06-16 10:35:27 UTC
Created attachment 101161 [details]
corrupted file after first export
Comment 2 Miroslav Fitz 2014-06-16 10:35:54 UTC
Created attachment 101162 [details]
corrupted file after second export
Comment 3 Miroslav Fitz 2014-06-16 10:36:37 UTC
Created attachment 101163 [details]
correctly exported file from LO 4.1.6.2
Comment 4 ign_christian 2014-06-16 14:34:11 UTC
Confirmed with 4.2.4.2 - Ubuntu 12.04 x86

I wish I didn't make mistake raising importance since it's a dataloss & possible regression.

@Miroslav, let status UNCONFIRMED while filing new report. Someone, other than reporter, will confirming.
Comment 5 ign_christian 2014-06-16 14:53:33 UTC
Problem not occured in 4.0.6.2
Comment 6 raal 2014-07-27 20:47:24 UTC
92e8808c5d3f3e54366b8bf66bcbd7bb65089c3e is the first bad commit
commit 92e8808c5d3f3e54366b8bf66bcbd7bb65089c3e
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Thu Oct 17 23:58:22 2013 +0000

    source-hash-d1cbaee70d3f922937a1993914436c8fc899ebfc
    
    commit d1cbaee70d3f922937a1993914436c8fc899ebfc
    Author:     Krisztian Pinter <pin.terminator@gmail.com>
    AuthorDate: Sun Aug 11 18:35:52 2013 +0200
    Commit:     Jan Holesovsky <kendy@suse.cz>
    CommitDate: Tue Aug 13 18:35:03 2013 +0200
    
        startcenter: Add file type filter to RecentDocsView
    
        Change-Id: Ib42721e00f60590fc947ba8ec5f615227641e754

:100644 100644 c7c065976a76e393b9da7048dca2189f813a33b5 dbcceea06d1fde9eac2e2d28af44b78629fb5ef5 M	ccache.log
:100644 100644 e103c2d16b016303019675f20bdd46e348d8759a a439348d471f12086ba610835399eca1c2f67d34 M	commitmsg
:100644 100644 e20c6dc7cc9a5e6d0fb821802603f72488157100 0ff970a5fbcf31b664a221a8445aeb8881b87bd2 M	dev-install.log
:100644 100644 3ce23c5e04f3696c6e99b32413b87939abd8ff06 66be52e34295eed7b0e0d8838255bcc23079394d M	make.log
:040000 040000 92e40bec5e8aa3fe86788672caa720c19cd69cfe 00776b62e2c8065968d7d5e9a300d78e88e4fc6e M	opt

git bisect log
# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# good: [e02439a3d6297a1f5334fa558ddec5ef4212c574] source-hash-6b8393474974d2af7a2cb3c47b3d5c081b550bdb
git bisect good e02439a3d6297a1f5334fa558ddec5ef4212c574
# bad: [4850941efe43ae800be5c76e1102ab80ac2c085d] source-hash-980a6e552502f02f12c15bfb1c9f8e6269499f4b
git bisect bad 4850941efe43ae800be5c76e1102ab80ac2c085d
# skip: [a043626b542eb8314218d7439534dce2fc325304] source-hash-9379a922c07df3cdb7d567cc88dfaaa39ead3681
git bisect skip a043626b542eb8314218d7439534dce2fc325304
# skip: [aba65c3e4c0df07e4909aeefb758cdb688242bf6] source-hash-827524abfb4b577d08276fde40929a9adfb7ff1a
git bisect skip aba65c3e4c0df07e4909aeefb758cdb688242bf6
# skip: [aba65c3e4c0df07e4909aeefb758cdb688242bf6] source-hash-827524abfb4b577d08276fde40929a9adfb7ff1a
git bisect skip aba65c3e4c0df07e4909aeefb758cdb688242bf6
# bad: [c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31] source-hash-c69ed33628ec0b7abf6296539cf280d6c4265930
git bisect bad c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31
# bad: [c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31] source-hash-c69ed33628ec0b7abf6296539cf280d6c4265930
git bisect bad c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31
# bad: [c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31] source-hash-c69ed33628ec0b7abf6296539cf280d6c4265930
git bisect bad c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31
# bad: [1d4980621741d3050a5fe61b247c157d769988f2] source-hash-89d01a7d8028ddb765e02c116d202a2435894217
git bisect bad 1d4980621741d3050a5fe61b247c157d769988f2
# good: [ba096f438393091574da98fe7b8e6b05182a8971] source-hash-8499e78ca03c792f4fa2650e02b519094ba0baa8
git bisect good ba096f438393091574da98fe7b8e6b05182a8971
# bad: [e75547cbd2d9d480ba13e119a8df8098c9d3a0a3] source-hash-69f686774cfeb803fdd63ed1ef07ff70550930de
git bisect bad e75547cbd2d9d480ba13e119a8df8098c9d3a0a3
# good: [4984b2bcccf87dab80d9c47fb934d4ea0c08bd28] source-hash-89aeec9b1d2f771310eeb0fa4c820c19599df0f7
git bisect good 4984b2bcccf87dab80d9c47fb934d4ea0c08bd28
# good: [f6a86d8812bc1db2fee07af4d54b7af6a553cc59] source-hash-e4ebe80be51fb33545091aa4f0bbc0ea2fe674f0
git bisect good f6a86d8812bc1db2fee07af4d54b7af6a553cc59
# bad: [92e8808c5d3f3e54366b8bf66bcbd7bb65089c3e] source-hash-d1cbaee70d3f922937a1993914436c8fc899ebfc
git bisect bad 92e8808c5d3f3e54366b8bf66bcbd7bb65089c3e
# good: [6dab1aaf04879f7ed6ca8baace99020b7f709443] source-hash-417d1c2b13cbd70300d2921b5667dfadc7e25895
git bisect good 6dab1aaf04879f7ed6ca8baace99020b7f709443
# first bad commit: [92e8808c5d3f3e54366b8bf66bcbd7bb65089c3e] source-hash-d1cbaee70d3f922937a1993914436c8fc899ebfc
Comment 7 Commit Notification 2014-12-29 05:28:06 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=16bfddca6187a426523bbe187db4506a34b5511c

handle relative refs correctly in xls import, fdo#80091

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2014-12-29 05:28:10 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0c24686c3970bac7e9a4e214fccfdfffd742149e

add test for fdo#80091

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Markus Mohrhard 2014-12-29 05:30:57 UTC
4-4 and 4-3 review requests are in gerrit.
Comment 10 Commit Notification 2015-01-07 23:08:08 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4e7e27662c523514c8e589e5c077321546ea59ce&h=libreoffice-4-4

handle relative refs correctly in xls import, fdo#80091

It will be available in 4.4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2015-01-07 23:39:04 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=be9631c2dd65a46f56c45615acd415422ee6a468&h=libreoffice-4-3

handle relative refs correctly in xls import, fdo#80091

It will be available in 4.3.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Robinson Tryon (qubit) 2015-12-17 08:23:40 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]